%define major		1
%define libname		%mklibname xxf86vm %major
%define develname	%mklibname xxf86vm -d

Name:		libxxf86vm
Summary:	XFree86 Video Mode Extension Library
Version:	1.1.5
Release:	%mkrel 1
Group:		Development/X11
License:	MIT
URL:		https://xorg.freedesktop.org
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXxf86vm-%{version}.tar.xz

BuildRequires: pkgconfig(x11) >= 1.0.0
BuildRequires: pkgconfig(xext) >= 1.0.0
BuildRequires: x11-proto-devel >= 7.5
BuildRequires: x11-util-macros >= 1.0.1

%description
XFree86 Video Mode Extension Library

#-----------------------------------------------------------

%package -n %{libname}
Summary: Shared libraries for %{name}
Group: Development/X11
Provides: %{name} = %{version}

%description -n %{libname}
XFree86 Video Mode Extension Library

%files -n %{libname}
%{_libdir}/libXxf86vm.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}xxf86vm-static-devel < 1.1.3-2

%description -n %{develname}
Development files for %{name}

%files -n %{develname}
%{_libdir}/libXxf86vm.so
%{_libdir}/pkgconfig/xxf86vm.pc
%{_includedir}/X11/extensions/*.h
%{_mandir}/man3/XF86VidMode*.*
%{_mandir}/man3/XF86VM.*

#-----------------------------------------------------------

%prep
%setup -q -n libXxf86vm-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir} \
		--disable-static

%make_build

%install
%make_install

find %{buildroot} -name "*.la" -delete


%changelog
* Sun Oct 23 2022 tv <tv> 1.1.5-1.mga9
+ Revision: 1898636
- 1.1.5

* Sat Mar 19 2022 umeabot <umeabot> 1.1.4-5.mga9
+ Revision: 1800507
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.1.4-4.mga8
+ Revision: 1514680
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 1.1.4-3.mga7
+ Revision: 1299280
- Mageia 7 Mass Rebuild

* Fri Feb 12 2016 umeabot <umeabot> 1.1.4-2.mga6
+ Revision: 956014
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.1.4-1.mga6
+ Revision: 837524
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-5.mga5
+ Revision: 749912
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-4.mga5
+ Revision: 681908
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.3-3.mga4
+ Revision: 532805
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 wally <wally> 1.1.3-2.mga4
+ Revision: 469649
- drop unneded requires
- drop old Mdv era conflicts/obsoletes
- drop static devel pkg

* Fri May 31 2013 tv <tv> 1.1.3-1.mga4
+ Revision: 433602
- new release

* Sat Jan 12 2013 umeabot <umeabot> 1.1.2-3.mga3
+ Revision: 358730
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 tmb <tmb> 1.1.2-2.mga3
+ Revision: 311073
- rebuild for new toolchain

* Fri Mar 09 2012 tv <tv> 1.1.2-1.mga2
+ Revision: 222255
- new release

* Sun Nov 20 2011 dmorgan <dmorgan> 1.1.1-3.mga2
+ Revision: 169958
- Remove .la files

* Sat Jan 08 2011 blino <blino> 1.1.1-2.mga1
+ Revision: 1118
- remove old chkconfig scriptlets
- imported package libxxf86vm

